Announcement

Collapse
No announcement yet.

Cannot generate forms and menus anymore with V8 under OSX 10.8.4

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Cannot generate forms and menus anymore with V8 under OSX 10.8.4

    Since I updated to version 8, I cannot generate forms and menus anymore at all!!!

    This is what I get with a menu:
    Fatal error: Cannot redeclare function sc_unserialize() (previously declared in /Applications/NetMake/v71/wwwroot/scriptcase8/devel/lib/php/sc_unserialize.php:9). If this code worked without the Zend Optimizer+, please set zend_optimizerplus.dups_fix=1 in your ini file in /Applications/NetMake/v71/wwwroot/scriptcase8/devel/generator/nm_gp_gera_menu.php on line 136

    This is what I get with forms:
    Fatal error: Cannot redeclare function nm_group_labels_ajusta_celulas() (previously declared in /Applications/NetMake/v71/wwwroot/scriptcase8/devel/lib/php/functions2.inc.php:23). If this code worked without the Zend Optimizer+, please set zend_optimizerplus.dups_fix=1 in your ini file in /Applications/NetMake/v71/wwwroot/scriptcase8/devel/class/generator/nmGerador.class.php on line 237

    No issues with grids.

  • #2
    It happens with every single project I have since I upgraded to V8.

    Comment


    • #3
      Hello,

      Do you have zend loader/optimizer installed under your environment?

      regards,
      Bernhard Bernsmann

      Comment


      • #4
        Yes I do have zend optimizer installed.

        Comment


        • #5
          Hello,

          Issue reported to our bugs team.

          I also recommend you to get in touch with our support team.

          regards,
          Bernhard Bernsmann

          Comment


          • #6
            Originally posted by bixente64 View Post
            Since I updated to version 8, I cannot generate forms and menus anymore at all!!!

            This is what I get with a menu:
            Fatal error: Cannot redeclare function sc_unserialize() (previously declared in /Applications/NetMake/v71/wwwroot/scriptcase8/devel/lib/php/sc_unserialize.php:9)

            No issues with grids.
            hi bixente64, i wounder why you have v71 in the path if you are using sc8!? why didn't you install it separately away from 7? wouldn't be cleaner? i don't suspect the optimizer or mac thing, can you follow the source code mentioned line and post or search it? because "not issues with grids" means you have something tricky there

            just saying

            Comment


            • #7
              Originally posted by itsme3 View Post
              hi bixente64, i wounder why you have v71 in the path if you are using sc8!? why didn't you install it separately away from 7? wouldn't be cleaner? i don't suspect the optimizer or mac thing, can you follow the source code mentioned line and post or search it? because "not issues with grids" means you have something tricky there

              just saying

              Thanks a lot for taking the time to give me a tip. :-)

              I have been a scriptcase user since the beginning and I had always been used to keeping all the previous versions within my local server root. That's what I have here. I have /Applications/NetMake/v71/wwwroot/scriptcase (version 7) and /Applications/NetMake/v71/wwwroot/scriptcase8.

              What you are saying interests me as to me it seems to be a corruption issue. When I start zend server manually in my terminal, I see a line " scriptcase has started ". So would i mean zend starts scriptcase 7 automatically every time. So when I login to scriptcase 8 and I try to generate forms or menus, a corruption happens?

              Comment


              • #8
                I just checked the manual installation guide and the screenshots show the same path as me (/Applications/NetMake/v71/wwwroot/scriptcase8): http://www.scriptcase.net/fr/v8_tuto...2&conv=3&ln=en

                Comment


                • #9
                  bixente64, put affront of you that sc8 is not stable -yet- therefore, it could be for any reason

                  by the way, i have a friend who has mac and he isntaleld secod operation system as windows 8, and he is happy, why don't you do this? install windows version of sc, it is much more pupular and at least you will go with the flow, even SC guys and other guys here all almost use the same, able to help better in your stuff if they have your setup

                  Comment

                  Working...
                  X